package com.facebook.share.widget;

import com.tencent.matrix.trace.core.AppMethodBeat;

@Deprecated
public enum LikeView$Style {
    STANDARD("standard", 0),
    BUTTON("button", 1),
    BOX_COUNT("box_count", 2);
    
    static LikeView$Style DEFAULT;
    private int intValue;
    private String stringValue;

    static {
        DEFAULT = STANDARD;
        AppMethodBeat.o(97646);
    }

    static LikeView$Style fromInt(int i) {
        AppMethodBeat.i(97644);
        for (LikeView$Style likeView$Style : values()) {
            if (likeView$Style.getValue() == i) {
                AppMethodBeat.o(97644);
                return likeView$Style;
            }
        }
        AppMethodBeat.o(97644);
        return null;
    }

    private LikeView$Style(String str, int i) {
        this.stringValue = str;
        this.intValue = i;
    }

    public final String toString() {
        return this.stringValue;
    }

    private int getValue() {
        return this.intValue;
    }
}
